Subject: Re: binutils 2.19 issue with kernel link

From: Edmar Wienskoski-RA8797 <[email-masked]>
Date: Thu, 09 Jul 2009 14:31:53 -0500

Kumar Gala wrote:
>
> On Jul 8, 2009, at 11:40 PM, Alan Modra wrote:
>
>> On Wed, Jul 08, 2009 at 10:52:59PM -0500, Kumar Gala wrote:
>>> To further verify this if I switch the -me500 to -mspe and build things
>>> seem to be ok.  This further points at some APU section related bug.
>>
>> Like omitting .PPC.EMB.apuinfo from your kernel link script?  See the
>> ld info doc on orphan sections.
>
> Ok, not terribly enlightening, but why would .PPC.EMB.apuinfo sections 
> be different than something like .debug sections which we also dont 
> list in the linker script.
>
> - k
>
Alan,

I understand your arguments, but there is something inconsistent about this.
If I change the script to be:
        _end3 = . ;
        . = _end3;
        . = ALIGN(PAGE_SIZE);
        _end = . ;
        PROVIDE32 (end = .);
}
The result is corrected:
c067f678 A _end3
c0680000 A _end

Why the apuinfo section with zero VMA sometimes interfere with "." and 
sometimes not ?

Edmar